#ifndef REMOTE_CMD_WORKER_HH
#define REMOTE_CMD_WORKER_HH
#include <qsocket.h>
class RemoteCmdWorker : public QSocket 
{
Q_OBJECT
public:
	RemoteCmdWorker();
	bool finished();

protected:
	void listDownloads();
	void connectGnutella();
	void disconnectGnutella();
	void connections();
	void write( const char* s, int len );

	int _bytes_written;
	bool _finished;

public slots:
	void newData();
	void written( int );
};
#endif
