#ifndef WIDGET_CONFIG_H
#define WIDGET_CONFIG_H

#include "BWidgetConfig.h"
#include <qwidget.h>

class WidgetConfig : public BWidgetConfig
{
  Q_OBJECT

 public:
  WidgetConfig( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );

 public slots:
  virtual void slotOK();
  virtual void slotCancel();
  virtual void slotAddWord();
  virtual void slotDeleteWord();

 signals:
  void finished();
  void cancel();
};

#endif
