#include "../include/Browser.h"

/* 
 *  Constructs a Browser which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
Browser::Browser( QWidget* parent,  const char* name, WFlags fl )
    : BBrowser( parent, name, fl )
{
}

/*  
 *  Destroys the object and frees any allocated resources
 */
Browser::~Browser()
{
    // no need to delete child widgets, Qt does it all for us
}

