#include "WidgetConfig.h"
#include "BlockQueryResults.h"
#include <qlistbox.h>
#include <qlineedit.h>

WidgetConfig::WidgetConfig( QWidget* parent, const char* name, WFlags fl )
  : BWidgetConfig( parent, name, fl )
{
}

void WidgetConfig::slotOK()
{
  emit finished();
}

void WidgetConfig::slotCancel()
{
	emit cancel();
}

void WidgetConfig::slotAddWord()
{
	BlockQueryResults bqr( this );
	if( bqr.exec() == QDialog::Accepted ) {
		QString s = bqr.ui_lineedit->text();
		if( s.length() > 0 )
			ui_blocked_words->insertItem( s );
	}
}

void WidgetConfig::slotDeleteWord()
{
	if( ui_blocked_words->currentItem() >= 0 )
		ui_blocked_words->takeItem( ui_blocked_words->item( ui_blocked_words->currentItem() ) );
}
