#include "RemoteCmdServer.h"
#include "RemoteCmdWorker.h"
#include <qsocket.h>
#include <qobject.h>
#include <qglobal.h>

RemoteCmdServer::RemoteCmdServer( Q_UINT16 port, int backlog, QObject* parent, const char* name )
	: QServerSocket( port, backlog, parent, name )
{
}

void RemoteCmdServer::newConnection( int socket )
{
	RemoteCmdWorker* worker = new RemoteCmdWorker();
	connect( (QObject*) worker, SIGNAL( readyRead() ), (QObject*) worker, SLOT( newData() ) );
	worker->setSocket( socket );
	_worker_list.push_back( worker );
}
